<template>
  <div class="checkResult_sha">
    <div id="arrows"></div>
    <div class="checkResult_sha-title">
      {{$t('history.details.shaGenerator')}}
    </div>
    <div class="checkResult_sha-body">
      <div>
        <BInput
          v-model="sha"
          label="Insert the data and press PLAY">
          <template slot="append">
            <button @click="getHash">
              <img
                src="~/static/icons/play.svg"
                alt="">
            </button>
          </template>
        </BInput>
      </div>
      <div>
        <BTextArea
          v-model="hash"
          label="Get the HASH"></BTextArea>
      </div>
    </div>
  </div>
</template>

<script>
  import BInput from '~/components/UI/Input';
  import BTextArea from '~/components/UI/Textarea';

  export default {
    name: "ShaGenerator",
    data() {
      return {
        sha: '',
        hash: ''
      }
    },
    components: {
      BInput,
      BTextArea
    },
    methods: {
      getHash() {
        this.ga('play', true);
      }
    }
  }
</script>
